#include <stdio.h>
#include "../winuser.h"
int _CRbutton(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _PAINTbutton(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CRcheck(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _GETcheck(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETcheck(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CRbuttonBitmap(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _CBbutton(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DSbutton(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DScheck(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBcheck(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _PAINTcheck(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETbuttonSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZEbutton(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETcheckSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZEcheck(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SETbuttonName(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETcheckName(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETbuttonPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONbutton(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETcheckPositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONcheck(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SETbuttonBitmap(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SHOWbutton(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SHOWcheck(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CBbuttonDropFile(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _ENbutton(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _ENcheck(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _TIPbutton(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NbuttonPKG 28
char* buttonname[NbuttonPKG]=
{"_CRbutton","_PAINTbutton","_CRcheck","_GETcheck","_SETcheck","_CRbuttonBitmap","_CBbutton","_DSbutton","_DScheck","_CBcheck","_PAINTcheck","_GETbuttonSizePosition","_SIZEbutton","_GETcheckSizePosition","_SIZEcheck","_SETbuttonName","_SETcheckName","_GETbuttonPositionSize","_POSITIONbutton","_GETcheckPositionSize","_POSITIONcheck","_SETbuttonBitmap","_SHOWbutton","_SHOWcheck","_CBbuttonDropFile","_ENbutton","_ENcheck","_TIPbutton"};
int (*buttonfun[NbuttonPKG])(mmachine m)=
{_CRbutton,_PAINTbutton,_CRcheck,_GETcheck,_SETcheck,_CRbuttonBitmap,_CBbutton,_DSbutton,_DScheck,_CBcheck,_PAINTcheck,_GETbuttonSizePosition,_SIZEbutton,_GETcheckSizePosition,_SIZEcheck,_SETbuttonName,_SETcheckName,_GETbuttonPositionSize,_POSITIONbutton,_GETcheckPositionSize,_POSITIONcheck,_SETbuttonBitmap,_SHOWbutton,_SHOWcheck,_CBbuttonDropFile,_ENbutton,_ENcheck,_TIPbutton};
int buttonnarg[NbuttonPKG]=
{8,1,8,1,2,8,3,1,1,3,1,1,5,1,5,2,2,1,5,1,5,2,2,2,3,2,2,2};
char* buttontype[NbuttonPKG]=
{"fun [Chn ObjWin I I I I I S] ObjButton","fun [ObjButton] ObjButton","fun [Chn ObjWin I I I I I S] ObjCheck","fun [ObjCheck] I","fun [ObjCheck I] ObjCheck","fun [Chn ObjWin ObjBitmap I I I I I] ObjButton","fun [ObjButton fun [ObjButton u0] u1 u0] ObjButton","fun [ObjButton] I","fun [ObjCheck] I","fun [ObjCheck fun [ObjCheck u0 I] u1 u0] ObjCheck","fun [ObjCheck] ObjCheck","fun [ObjButton] [I I I I]","fun [ObjButton I I I I] ObjButton","fun [ObjCheck] [I I I I]","fun [ObjCheck I I I I] ObjCheck","fun [ObjButton S] ObjButton","fun [ObjCheck S] ObjCheck","fun [ObjButton] [I I I I]","fun [ObjButton I I I I] ObjButton","fun [ObjCheck] [I I I I]","fun [ObjCheck I I I I] ObjCheck","fun [ObjButton ObjBitmap] ObjButton","fun [ObjButton I] ObjButton","fun [ObjCheck I] ObjCheck","fun [ObjButton fun [ObjButton u0 I I [P r1]] u1 u0] ObjButton","fun [ObjButton I] ObjButton","fun [ObjCheck I] ObjCheck","fun [ObjButton S] ObjButton"};
int SCOLloadbutton(mmachine m)
{
return PKhardpak(m,"button.pkg",NbuttonPKG,buttonname,buttonfun,buttonnarg,buttontype);
}
